--[[

	Team Balance Script 1.0
	by Manny

	This script is handling joining players to game. If player is trying to join to team which already has more players than
	another team, system prohibits this action and tells about it to player who is trying to connect.

]]--


if teambalance==nil then teambalance={} end
teambalance={}

addhook("team","teambalance.team")
function teambalance.team(id, team, look)
	-- count detection of CT and T
	teroristi = player(0,"team1")
	T = #teroristi
	policajti = player(0,"team2")
	CT = #policajti

	-- player is trying to connect to T
	if team == 1 then
		-- i avoid that, if count of T is more than CT
		if T > CT then
			msg2(id,"255000000Error: There are too many T!")
			msg2(id,"Tip: Join CT or wait for a while.")
			return 1
		end
	end

	-- player is trying to connect to CT
	if team == 2 then
		-- i avoid that, if count of CT is more than T
		if CT > T then
			msg2(id,"255000000Error: There are too many CT!")
			msg2(id,"Tip: Join T or wait for a while.")
			return 1
		end
	end
end
